import React from 'react';
import { iconSizer } from "../../../internal/icons2022/iconSizer";
import { ArrowShapeDRadiusUpLeftIcon16Light } from "../../../internal/icons2022/ArrowShapeDRadiusUpLeftIcon/ArrowShapeDRadiusUpLeftIcon16Light";
import { ArrowShapeDRadiusUpLeftIcon24Regular } from "../../../internal/icons2022/ArrowShapeDRadiusUpLeftIcon/ArrowShapeDRadiusUpLeftIcon24Regular";
import { ArrowShapeDRadiusUpLeftIcon20Light } from "../../../internal/icons2022/ArrowShapeDRadiusUpLeftIcon/ArrowShapeDRadiusUpLeftIcon20Light";
export var UndoIcon = iconSizer({
  small: function small() {
    return /*#__PURE__*/React.createElement(ArrowShapeDRadiusUpLeftIcon16Light, null);
  },
  medium: function medium() {
    return /*#__PURE__*/React.createElement(ArrowShapeDRadiusUpLeftIcon20Light, null);
  },
  large: function large() {
    return /*#__PURE__*/React.createElement(ArrowShapeDRadiusUpLeftIcon24Regular, null);
  }
}, 'UndoIcon');